from cmk.gui.i18n import _
from cmk.gui.plugins.metrics import (
    metric_info,
    graph_info,
    perfometer_info,
)

metric_info["active_users"] = {
    "title": _("Users active"),
    "unit": "count",
    "color": "21/a",
}

metric_info["disconnected_users"] = {
    "title": _("Users disconnected"),
    "unit": "count",
    "color": "33/a",
}

graph_info["spit_users_combined"] = {
    "metrics": [
        ("active_users", "area"),
        ("disconnected_users", "area"),
    ],
}

perfometer_info.append({
    "type": "linear",
    "segments": ["active_users","disconnected_users"],
    "total": 20.0,
})
